#ifndef DRAW_H_
#define DRAW_H_

#include <gtk/gtk.h>
#include "geometry.h"


gboolean drawTopView(GtkWidget *widget, GdkEventExpose *event, gpointer data);

double getScale();
void setScale(double s);

void imageToView(VERTEX *v);
void viewToImage(VERTEX *v);

double getImageWidth();
double getImageHeight();

double getXTranslate();
void setXTranslate(double x);
double getYTranslate();
void setYTranslate(double y);

void redraw();

#endif /*DRAW_H_*/
