#ifndef LEVEL_H_
#define LEVEL_H_

#include "geometry.h"

typedef struct _ROOM {
  POLYGON polygon;
  unsigned char *name;
} ROOM;

typedef struct _LEVEL {
  unsigned int nRooms;
  ROOM *rooms;
} LEVEL;


LEVEL *getLevel();
void setLevel(LEVEL *l);

void addRoom(LEVEL *lvl, const ROOM *room);
void deleteRoom(LEVEL *lvl, unsigned int n);

void freeLevel(LEVEL *lvl);

#endif /*LEVEL_H_*/
